UrlMappingFactoryBean (Grails 6.0.0)

Package: org.grails.plugins.web.mapping.factory

## [Java] Class UrlMappingFactoryBean

- org.grails.plugins.web.mapping.factory.UrlMappingFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware

      @java.lang.SuppressWarnings({"unchecked","rawtypes"})
      public class UrlMappingFactoryBean
      extends org.springframework.beans.factory.config.AbstractFactoryBean
      implements org.springframework.context.ApplicationContextAware

  A factory bean that creates the URL mappings, checking if there is a bean called urlMap in the ctx and merging that with the mappings set explicitly on this bean.

  Authors:
    Graeme Rocher
  Since:
    0.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.apache.commons.logging.Log` | `LOG` |
    `private static java.lang.String` | `URL_MAP_BEAN` |
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private java.util.Map` | `mappings` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.beans.factory.config.AbstractFactoryBean` | `OBJECT_TYPE_ATTRIBUTE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map` | `createInstance()`
    `` | `public java.lang.Class<?>` | `getObjectType()`
    `` | `public void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `public void` | `setMappings(java.util.Map mappings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.beans.factory.config.AbstractFactoryBean` | `org.springframework.beans.factory.config.AbstractFactoryBean#getObjectType(), org.springframework.beans.factory.config.AbstractFactoryBean#isSingleton(), org.springframework.beans.factory.config.AbstractFactoryBean#setSingleton(boolean), org.springframework.beans.factory.config.AbstractFactoryBean#setBeanClassLoader(java.lang.ClassLoader), org.springframework.beans.factory.config.AbstractFactoryBean#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.beans.factory.config.AbstractFactoryBean#afterPropertiesSet(), org.springframework.beans.factory.config.AbstractFactoryBean#getObject(), org.springframework.beans.factory.config.AbstractFactoryBean#destroy(), org.springframework.beans.factory.config.AbstractFactoryBean#wait(long), org.springframework.beans.factory.config.AbstractFactoryBean#wait(long, int), org.springframework.beans.factory.config.AbstractFactoryBean#wait(), org.springframework.beans.factory.config.AbstractFactoryBean#equals(java.lang.Object), org.springframework.beans.factory.config.AbstractFactoryBean#toString(), org.springframework.beans.factory.config.AbstractFactoryBean#hashCode(), org.springframework.beans.factory.config.AbstractFactoryBean#getClass(), org.springframework.beans.factory.config.AbstractFactoryBean#notify(), org.springframework.beans.factory.config.AbstractFactoryBean#notifyAll()`

- - ### Field Detail

    - #### private static final org.apache.commons.logging.Log LOG

    - #### private static final java.lang.String URL_MAP_BEAN

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private java.util.Map mappings

  - ### Method Detail

    - #### @java.lang.Override protected java.util.Map createInstance()

    - #### @java.lang.Override public java.lang.Class<?> getObjectType()

    - #### public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### public void setMappings(java.util.Map mappings)